# GetHSClassification

Returns the HS classification code. The status field reflects the actual state of the classification request.

`GET /api/v2/companies/{companyId}/classifications/hs/{hsClassificationId}`

**API:** Avalara Item Classification API
**Tag:** GetHSClassification
**API Version:** 16.0.1-oas3
**Base URL:** https://api-sandbox.classification.avalara.net
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/item-classification/api/methods/GetHSClassification/GetHSClassification/

## Description

Returns the HS classification code. The status field reflects the actual state of the classification request.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this item. This is your integer company ID, not the string company code. |
| `hsClassificationId` | integer | path | Yes | The hsClassificationId used to identify a request was returned in the response of the CreateHSClassificationRequest method. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Successful get HS classification request response. |  |
| 401 | Authentication required. Can be caused by a missing or incorrect credentials. | `ErrorInfo` |
| 404 | The classification request id was not found in the system | `ErrorInfo` |
| 415 | Unsupported Media type. The `Content-type` header must be `application/json`. | `ErrorInfo` |

## Example Request

```bash
curl -X GET "https://api-sandbox.classification.avalara.net/api/v2/companies/{companyId}/classifications/hs/{hsClassificationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```